Loading...
Searching...
No Matches
mongocxx::v1::events::server_opening Class Reference

`#include <mongocxx/v1/events/server_opening.hpp>`

## Description

ServerOpeningEvent from the SDAM Logging and Monitoring specification.

See also
  - SDAM Logging and Monitoring (MongoDB Specifications)

## Public Member Functions

bsoncxx::v1::stdx::string_view | host () const
| Return the hostname for the connection used by the command.
std::uint16_t | port () const
| Return the port number for the connection used by the command.
bsoncxx::v1::oid | topology_id () const
| Return the client-generated unique topology ID.

## Member Function Documentation

## host()

bsoncxx::v1::stdx::string_view mongocxx::v1::events::server_opening::host | ( |  | ) | const

Return the hostname for the connection used by the command.

## port()

std::uint16_t mongocxx::v1::events::server_opening::port | ( |  | ) | const

Return the port number for the connection used by the command.

## topology_id()

bsoncxx::v1::oid mongocxx::v1::events::server_opening::topology_id | ( |  | ) | const

Return the client-generated unique topology ID.

The documentation for this class was generated from the following file:

- mongocxx/v1/events/server_opening.hpp